import { formGuildLeaderboardMessage, formGuildOnlineMessage } from "#/bot/common/guild"
import { WYNN_GUILD_ID } from "#/constants"
import { container, T_PG } from "#/di"
import { SlashHandler } from "./types"

export const root: SlashHandler =  {
  guild: {
    info: async (interaction) => {
      interaction.respond("TODO: guild info")
    },
    online: async (interaction) => {
      const db = container.get(T_PG)
      const msg = await formGuildOnlineMessage(
        WYNN_GUILD_ID,
        db,
      )
      await interaction.respond(msg, {
        withResponse: true,
      })
    },
    leaderboard: async (interaction) => {
      const db = container.get(T_PG)
      const leaderboard = await formGuildLeaderboardMessage(
        WYNN_GUILD_ID,
        db,
      )
      await interaction.respond(leaderboard, {
        withResponse: true,
      })
    },
  },
  admin: {
    set_wynn_guild: async (interaction) => {
      const db = container.get(T_PG)
    },
  }
}


