

export class TabWriter {

  columns: string[][];

  constructor(
    private readonly spacing: number = 2
  ) {
    this.columns = []
  }

  add(row: string[]) {
    if(this.columns.length == 0) {
      this.columns = new Array(row.length).fill(0).map(() => []);
    }
    if(row.length != this.columns.length) {
      throw new Error(`Row length ${row.length} does not match columns length ${this.columns.length}`);
    }
    for(let i = 0; i < row.length; i++) {
      this.columns[i].push(row[i]);
    }
  }

  build() {
    let out = ""
    if(this.columns.length == 0) {
      return "";
    }
    const columnWidths = this.columns.map(col => col.reduce((a, b) => Math.max(a, b.length+this.spacing), 0));
    console.log(columnWidths)
    for(let i = 0; i < this.columns[0].length; i++) {
      for(let j = 0; j < this.columns.length; j++) {
        out+= this.columns[j][i].padEnd(columnWidths[j]);
      }
      out+= "\n";
    }
    return out;
  }
}
