import { config } from "#/config";
import { container, T_PG } from "#/di";
import postgres from "postgres";

container.bind({
  provide: T_PG,
  useFactory: () => {
    const opts = {
      onnotice: () => {},
    }
    if(config.PG_URL) {
      return postgres(config.PG_URL, opts);
    }
    return postgres({
      host: config.PG_HOST,
      port: config.PG_PORT,
      user: config.PG_USER,
      password: config.PG_PASSWORD,
      db: config.PG_DATABASE,
      ...opts,
    })
  },
});
